File Management
Upload and manage elemental files and images
Authorizations
x-api-keystringRequired
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Path parameters
elemental_idstringRequired
Elemental ID
file_idintegerRequired
File ID
Responses
200
File data
application/json
400
Invalid file ID parameter
401
Unauthorized
403
Access forbidden
404
File not found
application/json
get
/v1/elemental/{elemental_id}/file/{file_id}Authorizations
x-api-keystringRequired
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Path parameters
elemental_idstringRequired
Body
Responses
201
Files uploaded successfully
403
Forbidden:
- You can send a maximum of 3 files at a time
- You can only add 15 files total
- You can only have 4 images and 4 cover images
post
/v1/user/elemental/{elemental_id}/filesNo content
Authorizations
x-api-keystringRequired
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Path parameters
elemental_idstringRequired
Body
imagesinteger[]Optional
cover_imagesinteger[]Optional
avatarbooleanOptional
filesinteger[]Optional
Responses
204
Files deleted successfully
delete
/v1/user/elemental/{elemental_id}/files204
Files deleted successfully
No content
Last updated
Was this helpful?